<!DOCTYPE html>
<html>
<head>
	<title>Petits exercices</title>
</head>
<body>

	<script type="text/javascript">
		
// ******************** ecercice 1 : fonction remplace ********************

		//repérer la valeur

		// remplacer lettre en chiffre
		function remplacer (mot){
			return mot.replace(/a/gi,"4") .replace(/e/gi,"3");
		}



// ******************** ecercice 2 : fonction changeant les lettres de place ********************

		// boucle pour replacer les lettres
		function changerLettres (mot){
			var nouveaumot = "";
			// boucle pour lire chaque lettre
			for (var i = 0; i < mot.length; i++) {
				if (i%2){ // utiliser modulo 2 pour deteriner paire imparie (reste de la division). emplacement de la 1er lettre = 0, 2ème = 1, etc.
					nouveaumot = mot.charAt(i) + nouveaumot;  // quand il reste 2 à droite
				}else{										  // sinon
					nouveaumot = nouveaumot + mot.charAt(i);  // autre à gauche
				}
			}
		return nouveaumot;
		}



// ******************** ecercice 3 : tableau de 100 entiers ********************

		// faire un tableau donnant 100 entier aléatoire entre 1 et 1000
		var tableau = [];
		function aleatoire (){
			// mettre les chiffres dans un tableau
			
			// faire une boucle pour qu'il affiche 100 chiffres
			for (i = 0; i < 100; i++){ // incrémente cent fois i
				// mettre les chiffres dans un tableau
				tableau.push(Math.floor(Math.random() *1000));
			}
		// retourne les 100 chiffres
		return tableau;
		}
		function ordre (a, b) {   // pas fini - trier les chiffres en ordre croissant puis dire combien de fois le même chiffre apparait
			tableau 
		    if (a < b) {
		        // La valeur de a est inférieure à celle de b
		    } else if (a > b) {
		        // La valeur de a est supérieure à celle de b
		    } else {
		        // Les deux valeurs sont égales
		    }

		}



// ******************** ecercice 4 : CRC ********************


		// transformer lettre en chiffre

		function binaire (lettre){
			var bin =("0000000" + lettre.charCodeAt(0).toString(2)).slice(-8); // les zéros sont utlilisé si le mot ne fait pas 8 caractères
			//lettre.charCodeAt(0).toString(2) // var oct = "00000000".substr(bin.length) + bin; - les deux ligne écrit en une
			
		return bin;
		}

		// text.charCodeAt() = converit la lettre en code ASCII - toString()  renvoie une chaîne de caractères représentant le code source de la fonction	
		function convertir (text) {
			// mettre la longueur du text en 8 caractères
			var bits = [];
			
			// si la longueur du mot ne fait pas 8 caractere, on ajoute un zero
			while (text.length < 8){
					text = text + String.fromCharCode(0);			// donne la valeur de zero en ASCII
				}
	
			for (var i = 0; i < text.length; i++){
				bits.push(binaire(text[i]));
			}

			var colone = [];
			var calc = 0;
			for (var k = 0; k < 8; k++) { // prends les 8 caractères de la lettre
				for (var j = 0; j < 8; j++) { // prends 1 élément des 8 caractères
					calc += parseInt(bits[j].charAt(k)); // caster les string en nombre avec parse.Int
				}
				calc = calc % 2; // pour faire une base de deux
				colone.push(calc); // mettre calc dans un tableau
				calc = 0; // remertre la variable à zéro pour pouvoir refaire une boucle. sinon le résultat est faussé car l'ordi stock la valeur dans clac et recommence un boucle avec la valeur 
			}
			var ligne = [];
			var calc = 0;
			for (var j = 0; j < 8; j++) {
				for (var k = 0; k < 8; k++) {
					calc += parseInt(bits[j].charAt(k));
				}
				calc = calc % 2;
				ligne.push(calc);
				calc = 0;
			}
			console.log("ligne: " + ligne);
			console.log("colone: " + colone);
			
		return bits;
		}

		// function sommeh () {
		// 	total = [];
		// 	bits = convertir(text[0])
		// 	for (var i = 0; i < text.length; i++){
		// 		 =  		
		// 	}

		// } 



		// mettre chaque lettredans 1 tableau
		// utiliser .split("")
		
			// function separer (){ // ça fonctionne mais inutile ici
			// 	var text = "bonjour";
			// 	var res = text.split("");
			// return res;
			// }


		// additionner 
		

	</script>

</body>
</html>